12 7
XXXXXXXXXXXX
X      1   X
X        X X
X        X X
X      XXX X
X    0 XXXYX
XXXXXXXXXXXX
NNEWSWWW
EEEWWWWW
12 7
XXXXXXXXXXXX
X      1   X
X          X
X          X
X          X
X    0 XXXYX
XXXXXXXXXXXX
NEWEWWWEW
EEWESSSEW
12 7
XXXXXXXXXXXX
X       1  X
X          X
X          X
X      XX  X
X    0 X Y X
XXXXXXXXXXXX
NNEEEESSNN
SSEWEWESWW
31 15
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
X                             X
X                             X
X      1                      X
X   XXXX XXXXX                X
X   X        X                X
X   X   Y    X                X
X   X        X                X
X   X        X                X
X   XXXXXXXXXX                X
X                             X
X                             X
X                 XXXXXXXXXXXXX
X                            0X
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
WWWWWWWWWWWWNNNNNNNNNNWWWWWWWWWSSSSS
ENSSNNSNSNSNSNSNSNSNSNSNSNSNSNSSSESS
31 15
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
X                             X
X                             X
X      1                      X
X   XXXX XXXXX                X
X   X        X                X
X   X   Y    X                X
X   X        X                X
X   X        X                X
X   XXXXXXXXXX                X
X                             X
X                             X
X                 XXXXXXXXXXXXX
X                            0X
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
WWWWWWWWWWWWNNNNNNNNNNWWWWWWWWWSSS
ENSSNNSNSNSNSNSNSNSNSNSNSNSNSNSSSE
31 15
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
X0             1X   X6 X7     X
X      X        X   X  X      X
X      X            X  X      X
X   XXXXXXXXXX  X   X  X      X
X   X3     X X  X      X      X
X      X X X2   XXXX   X  X   X
X   X  XYX X X  X  X   X  X   X
X   X  X     X  X  X   X  X   X
X   XXXXXXXXXX     X     8X 9 X
X       X4  X  XXXXXXXXXXXX   X
X       X   XXXX              X
XXXXXXX X         XXXXXXXXXXXXX
X       X       5             X
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
EEEE
SSSS
EEEW
EEEE
SSSE
WWWN
SSSS
SSSS
NNNN
NNNN
31 15
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
X               X   X  X      X
X      X        X   X  X      X
X      X            X  X      X
X   XXXXXXXXXX  X   X  X      X
X   X   0  X X  X      X      X
X   X  X X X X  XXXX   X  X   X
X   X  XYX X X  X  X   X  X   X
X   X  X1    X  X  X   X  X   X
X   XXXXXXXXXX     X      X   X
X       X   X  XXXXXXXXXXXX   X
X       X   XXXX              X
XXXXXXX X         XXXXXXXXXXXXX
X       X                     X
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
WWSS
EENN
26 13
XXXXXXXXXXXXXXXXXXXXXXXXXX
X                        X
X XXXX  XXXXXXXXXXXXXXX  X
X X     X0    X       X  X
X X     X X X1X       X  X
X X     X XYX X       X  X
X X     X XXX X       X  X
X X     X     X       X  X
X X     XXX XXX       X  X
X X                   X  X
X XXXXXXXXXXXXXXXXXXXXX  X
X                        X
XXXXXXXXXXXXXXXXXXXXXXXXXX
EWEWEWEEEE
NSNSNSNSNS
11 7
XXXXXXXXXXX
XX        X
XX YX     X
X X       X
XX        X
X01       X
XXXXXXXXXXX
EENNNNS
NEEENNS
11 7
XXXXXXXXXXX
X         X
XX        X
XYX       X
XX        X
X 01      X
XXXXXXXXXXX
WENSWE
NNNNWW
11 7
XXXXXXXXXXX
X         X
XXXXXXXXXXX
X        YX
XXXXXXXXX X
X       0 X
XXXXXXXXXXX
ENNSSWWWWW
11 7
XXXXXXXXXXX
XY        X
XXXXXXXXXXX
X        1X
XXXXXXXXX X
X       0 X
XXXXXXXXXXX
ENNSSWWW
WWWWWWWW
3 3
0  
X X
 Y  
ESSNNSS
3 2
0
XYX
EEWEEW
0 0
